<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" TYPE="text/javascript">

<!-- 
	XSL template per la visualizzazione dei metadati riguardanti banche dati 
	cartografiche.
	es: CTR, BASE FISICA, ORTOFOTO, ecc...
	
     
     CREATO da:
     	Alessandro Zambelli 
     	data: 24-06-2004
     	
     REVISIONE:
     	26-01-2005 Alessandro Zambelli
     	
     	
     note:
     	creato e utilizzato per la realizzazione del portale Intranet del Sistema
     	Informativo Territoriale della Regione Veneto
     	
     	
     	
-->

<xsl:template match="/">
<HTML>
   <HEAD>
      <STYLE>
        <!-- body 1F88BD -->
        BODY {background-color:#ffffff; margin:0.25in; 
              font-size:10pt; font-family:Verdana,Arial,sans-serif
              scrollbar-face-color: #3333aa;
		scrollbar-shadow-color: #3388ff;
		scrollbar-highlight-color: #3388ff;
		scrollbar-3dlight-color: #ffffff;
		scrollbar-darkshadow-color: #ffffff;
		scrollbar-track-color: #ffffff;
		scrollbar-arrow-color: #999999;
              
              }
        
	<!-- title -->
	H1   {margin-left:6cm; position:relative; top:-50; text-align:left;
	      font-weight:bold; font-size:16; font-family:Verdana,sans-serif; color:#606161}
	H4 {margin-left:4cm; position:relative; top:-45; text-align:left;
	      font-weight:bold; font-size:12; font-family:Verdana,sans-serif; color:#067504}

	<!-- data type -->
	H2   {margin-left:6cm; position:relative; top:-50; text-align:left;
	      font-size:13; font-family:Verdana,sans-serif; color:#797B7C}
	H3   {margin-left:3cm; position:relative; top:-4; text-align:left;
	      font-size:15; font-family:Arial,sans-serif,Verdana; color:#1788B7}
	<!-- "tabs" table -->
	<!-- table style -->
	TABLE  {margin-left:1cm; position:relative; top:-10; valign:top; table-layout:fixed; 
		border-collapse:collapse; background-color:#d5d5d5;
		border:1 #666666 solid;
		padding:2px 5px 2px 8px;}
	<!-- table row style -->
	TD   {text-align:left}
	<!-- table cell style -->
	TD   {font-weight:bold; font-size:11pt; border-color:#F1F3BC}
	<!-- selected tab 6495ED-->
	.tsel  {color:#FCFD91; background-color:#1788B7}
	<!-- unselected tab 6495ED  FAD461 FACD92-->
	.tun   {color:#E4E6E7; background-color:#2CAADE}
	<!-- unselected tab hilite 00008B B8DEFA-->
	.tover {color:#E4E6E7; background-color:#54C7F7; cursor:hand}
	<!-- properties box 0000CD B8E6FF -->
	.f   {margin-left:3cm; background-color:#ffffff; border:'0pt solid #6495ED'; 
	      position:relative; top:-10}

	<!-- headings -->
	<!-- group heading -->
	
	<!-- group heading indented 8E5F0C 2E8B57-->
	.ph2  {margin-left:0.2in; color:#039C8F; font-weight:bold; cursor:}
	<!-- group heading hilite -->
	.pover1 {color:#006000; font-weight:bold; cursor:hand}
	<!-- group heading hilite indented -->
	.pover2 {margin-left:0.2in; color:#006000; font-weight:bold; cursor:hand}
        <!-- values -->
        <!-- property name -->
        .pn  {color:#D33612; font-weight:bold}
        <!-- property value D33612 00008B-->
        .pv  {font-family:Verdana,sans-serif; line-height:135%;
              color:#3982BA; margin:0in 0.15in 0.75in 0.15in}
        <!-- expanded properties  191970-->
        .pe1  {margin-left:0.2in}
        <!-- expanded properties entity indent -->
        .pe2  {margin-left:0.25in; font-weight:normal; color:#3982BA;}
        <!-- expanded long text -->
        .lt  {line-height:115%; }
        <!-- lists of comma-separated elements -->
        .lt2  {line-height:115%; margin-bottom:1mm}    
	<!-- stili creati da Ale Zambelli -->
	.subtit	{margin-left:0.5cm; font-family:Arial,Verdana,sans-serif; font-size:8pt;
		 color:#0D3A64; font-weight:bold; border-bottom:1 gray solid; cursor:} 
	.descr	{margin-left:2cm; font-family:Arial,Verdana,sans-serif; font-size:10pt;
		 color:#000000; font-weight:normal; cursor:} 
	.tm1  {font-family:Arial,Verdana,sans-serif; font-size:10pt; color:#175FA3; 
	       font-weight:bold;
	       cursor:hand;
	       border:1 #999999 solid;background-color:#cccccc;
	       }
	
	.tpag  {font-family:Arial,Verdana,sans-serif; font-size:12pt; color:#ffffff; 
		       font-weight:bold; background-color:#999999;
		       border:1px #666666 solid;
	       cursor:}
       </STYLE>
              
     <!-- eventuali script  -->  
     <SCRIPT LANGUAGE="JScript"><xsl:comment><![CDATA[

	 //Fa apparire e scomparire il blocco assogiato ad un gruppo
	 function hideShowGroup(e)  {
	   var theGroup = e.children[0];
	   if (theGroup.style.display == "none") {
	     theGroup.style.display="block";
	   }
	   else { 
	     theGroup.style.display="none";
	   }

	   window.event.cancelBubble = true;
	 }
    
      ]]></xsl:comment></SCRIPT>
      
      
     </HEAD>
     
     <BODY  oncontextmenu="return false">

<!-- <A HREF="javascript:history.back()">
<div align="center" style="margin-right:0.5cm; margin-top:0.5cm; cursor:hand; width:90; font-family:Arial,verdana,arial,helvetica; font-size:12px; color:#0033dd; border:0px solid #0033dd">
Indietro
</div>
</A>
-->
     <DIV ID="Group" CLASS="f">
     <table cellpadding="5">
      <tr>
       <td>
       	<DIV CLASS="tpag">
		
	      
	      <xsl:if test="/BASEFISICA100/titolo" >
		<DIV class="tpag" align="center">
			<font size="2" face="Arial" color="#cccccc">
			<B>metadati: </B>
			</font>
			
			BASE FISICA 1:100.000
			<br/>
			
		</DIV>
	      </xsl:if>
	      
	      <xsl:if test="/BASEFISICA250/titolo" >
		<DIV class="tpag" align="center">
			<font size="2" face="Arial" color="#cccccc">
			<B>metadati: </B>
			</font>
			
			BASE FISICA 1:250.000
			<br/>
			
		</DIV>
	      </xsl:if>
	      
	      <xsl:if test="/METADATA/titolo" >
	      		<DIV class="tpag" align="center">
	      			<font size="2" face="Arial" color="#cccccc">
	      			<B>metadati: </B>
	      			</font>
	      			
	      			<xsl:value-of select="//field[@nome='Nome']" />
	      			<br/>
	      			
	      		</DIV>
	      </xsl:if>
	</DIV>
	<br/>
       </td>
      </tr>
      <tr>
       <td>
       	     
	      <xsl:if test="/BASEFISICA100/titolo" >
	      	     <xsl:apply-templates select="/BASEFISICA100/titolo" />
	      </xsl:if>
	      
	      <xsl:if test="/BASEFISICA250/titolo" >
	      	      	     <xsl:apply-templates select="/BASEFISICA250/titolo" />
	      </xsl:if>
	      
	      <xsl:if test="/METADATA/titolo" >
	      	      	      	     <xsl:apply-templates select="/METADATA/titolo" />
	      </xsl:if>
	      
	</td>
       </tr>
      </table> 
     </DIV>
     
  </BODY>

</HTML>
</xsl:template>

<!-- Definizione dei Template -->

<xsl:template match="titolo">
<DIV CLASS="tm1"  onclick="hideShowGroup(this)">
	
	<xsl:value-of select="@nome" />
	
	<DIV CLASS="pe2" STYLE="display:none">
	
		<SPAN CLASS="lt"><DIV CLASS="original">
			<xsl:for-each select="field">
				<br/>
				<DIV CLASS="subtit">
				  <xsl:value-of select="@nome" /> 
				</DIV>
				<DIV CLASS="descr"><xsl:eval>this.text</xsl:eval>
				</DIV>
				
			</xsl:for-each>
		</DIV></SPAN>
		<!--<SCRIPT>fix(original)</SCRIPT>
		  this.text <xsl:value-of select="@nome" /><xsl:value-of select="/field" />     
		-->
	</DIV>
</DIV>
<BR/>
</xsl:template>



</xsl:stylesheet>














